<?php 
/**
 * The setting view of contract module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Xiying Guan <guanxiying@xirangit.com>
 * @package     contract 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../common/view/header.html.php';?>
<?php js::set('mode', 'setting');?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><?php echo $lang->contract->code;?></strong>
  </div>
  <div class='panel-body'>
    <form method='post' id='ajaxForm' class='w-800px'>
      <?php foreach($codeFormats as $codeFormat):?>
      <div class='input-row'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->contract->codeFormat->unit;?></span>
          <?php  echo html::select('unit[]', $lang->contract->codeUnitList, $codeFormat['unit'], "class='form-control'");?>
  
          <?php $style = $codeFormat['unit'] == 'fixed' ? '' : "style='display:none'";?>
          <span class='fixed input-group-addon fix-border fix-padding' <?php echo $style;?>></span>
          <?php echo html::input('fixed[]', $codeFormat['fixed'], "class='fixed form-control' $style placeholder='{$lang->contract->codeFormat->placeholder->fixed}'");?>
  
          <?php $style = $codeFormat['unit'] == 'year' ? '' : "style='display:none'";?>
          <span class='year input-group-addon fix-border' <?php echo $style;?>><?php echo $lang->contract->codeFormat->length;?></span>
          <?php echo html::select('yearLength[]', $lang->contract->codeFormat->yearLength, $codeFormat['yearLength'], "year class='year form-control' $style");?>

          <?php $style = $codeFormat['unit'] == 'input' ? '' : "style='display:none'";?>
          <span class='input input-group-addon fix-border' <?php echo $style;?>></span>
          <?php echo html::input('input[]', $codeFormat['input'], "class='input form-control' $style");?>
  
          <?php $style = $codeFormat['unit'] == 'AI' ? '' : "style='display:none'";?>
          <span class='AI input-group-addon fix-border' <?php echo $style;?>><?php echo $lang->contract->codeFormat->length;?></span>
          <?php echo html::select('AILength[]', $lang->contract->codeFormat->AI['length'], $codeFormat['AILength'], "class='AI form-control' $style");?>
          <span class='AI input-group-addon fix-border' <?php echo $style;?>><?php echo $lang->contract->codeFormat->clearType;?></span>
          <?php echo html::select('AIClearType[]', $lang->contract->codeFormat->AI['clearType'], $codeFormat['AIClearType'], "class='AI form-control' $style");?>
          <span class='input-group-btn'>
            <a href='javascript:;' class='btn addItem'><i class='icon-plus'></i></a>
          </span>
          <span class='input-group-btn'>
            <a href='javascript:;' class='btn delItem'><i class='icon-remove'></i></a>
          </span>
        </div>
      </div>
      <?php endforeach;?>
      <div class='input-row'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->contract->codeFormat->preview;?></span>
          <input type='text' id='codeFormat' name='codeFormat' class='form-control' disabled='disabled'>
        </div>
      </div>
      <div class='form-actions'>
        <?php echo html::submitButton('', 'btn btn-primary no-margin');?>
      </div>
    </form>
  </div>
</div>
<?php include '../../../common/view/footer.html.php';?>
